### Hierarchy

- unknown
  - ContractInfo

## Index

### Constructors

- constructor

### Methods

- clearMakerPaymentAccountPayload
- clearTakerPaymentAccountPayload
- getArbitratorNodeAddress
- getBuyerNodeAddress
- getIsBuyerMakerAndSellerTaker
- getLockTime
- getMakerAccountId
- getMakerPaymentAccountPayload
- getMakerPayoutAddressString
- getSellerNodeAddress
- getTakerAccountId
- getTakerPaymentAccountPayload
- getTakerPayoutAddressString
- hasMakerPaymentAccountPayload
- hasTakerPaymentAccountPayload
- serializeBinary
- setArbitratorNodeAddress
- setBuyerNodeAddress
- setIsBuyerMakerAndSellerTaker
- setLockTime
- setMakerAccountId
- setMakerPaymentAccountPayload
- setMakerPayoutAddressString
- setSellerNodeAddress
- setTakerAccountId
- setTakerPaymentAccountPayload
- setTakerPayoutAddressString
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new ContractInfo(): ContractInfo

- Inherited from jspb.Message.constructor

  #### Returns ContractInfo

## Methods

### clearMakerPaymentAccountPayload

- clearMakerPaymentAccountPayload(): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2778

  #### Returns ContractInfo

### clearTakerPaymentAccountPayload

- clearTakerPaymentAccountPayload(): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2783

  #### Returns ContractInfo

### getArbitratorNodeAddress

- getArbitratorNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2794

  #### Returns string

### getBuyerNodeAddress

- getBuyerNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2760

  #### Returns string

### getIsBuyerMakerAndSellerTaker

- getIsBuyerMakerAndSellerTaker(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2766

  #### Returns boolean

### getLockTime

- getLockTime(): number

- - Defined in src/protobuf/grpc_pb.d.ts:2791

  #### Returns number

### getMakerAccountId

- getMakerAccountId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2769

  #### Returns string

### getMakerPaymentAccountPayload

- getMakerPaymentAccountPayload(): undefined | PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2775

  #### Returns undefined | PaymentAccountPayloadInfo

### getMakerPayoutAddressString

- getMakerPayoutAddressString(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2785

  #### Returns string

### getSellerNodeAddress

- getSellerNodeAddress(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2763

  #### Returns string

### getTakerAccountId

- getTakerAccountId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2772

  #### Returns string

### getTakerPaymentAccountPayload

- getTakerPaymentAccountPayload(): undefined | PaymentAccountPayloadInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2780

  #### Returns undefined | PaymentAccountPayloadInfo

### getTakerPayoutAddressString

- getTakerPayoutAddressString(): string

- - Defined in src/protobuf/grpc_pb.d.ts:2788

  #### Returns string

### hasMakerPaymentAccountPayload

- hasMakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2777

  #### Returns boolean

### hasTakerPaymentAccountPayload

- hasTakerPaymentAccountPayload(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:2782

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:2797

  #### Returns Uint8Array

### setArbitratorNodeAddress

- setArbitratorNodeAddress(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2795

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setBuyerNodeAddress

- setBuyerNodeAddress(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2761

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setIsBuyerMakerAndSellerTaker

- setIsBuyerMakerAndSellerTaker(value: boolean): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2767

  #### Parameters

  - ##### value: boolean

  #### Returns ContractInfo

### setLockTime

- setLockTime(value: number): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2792

  #### Parameters

  - ##### value: number

  #### Returns ContractInfo

### setMakerAccountId

- setMakerAccountId(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2770

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setMakerPaymentAccountPayload

- setMakerPaymentAccountPayload(value?: PaymentAccountPayloadInfo ): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2776

  #### Parameters

  - ##### Optional value: PaymentAccountPayloadInfo

  #### Returns ContractInfo

### setMakerPayoutAddressString

- setMakerPayoutAddressString(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2786

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setSellerNodeAddress

- setSellerNodeAddress(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2764

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setTakerAccountId

- setTakerAccountId(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2773

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### setTakerPaymentAccountPayload

- setTakerPaymentAccountPayload(value?: PaymentAccountPayloadInfo ): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2781

  #### Parameters

  - ##### Optional value: PaymentAccountPayloadInfo

  #### Returns ContractInfo

### setTakerPayoutAddressString

- setTakerPayoutAddressString(value: string): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2789

  #### Parameters

  - ##### value: string

  #### Returns ContractInfo

### toObject

- toObject(includeInstance?: boolean): ContractInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2798

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns ContractInfo . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2801

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns ContractInfo

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: ContractInfo, reader: BinaryReader): ContractInfo

- - Defined in src/protobuf/grpc_pb.d.ts:2802

  #### Parameters

  - ##### message: ContractInfo

  - ##### reader: BinaryReader

  #### Returns ContractInfo

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: ContractInfo, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:2800

  #### Parameters

  - ##### message: ContractInfo

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: ContractInfo ): ContractInfo . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:2799

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: ContractInfo

  #### Returns ContractInfo . AsObject

Generated using TypeDoc